import { Exception } from '../interfaces/exception.interface';
import { MESSAGES } from '../lib/ui';
export declare abstract class BaseException extends Error implements Exception {
    MESSAGE_TITLE: keyof typeof MESSAGES;
    private substitutions?;
    constructor(substitutions?: Record<string, string>);
    getMessage(): string;
    getSubstitutions(): Record<string, string>;
}
